apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: nginx
  namespace: quaff-dev
spec:
  replicas: 5
  strategy:
    rollingUpdate:
      maxUnavailable: 0
      maxSurge: 1
  template:
    metadata:
      labels:
        app: nginx
        env: quaff-dev
    spec:
      containers:
      - image: nginx:latest
        imagePullPolicy: Always
        name: nginx
        ports:
        - containerPort: 80
        resources:
          requests:
            memory: "256Mi"
            cpu: "100m"
          limits:
            memory: "2Gi"
            cpu: "200m"
        readinessProbe:
          initialDelaySeconds: 10
          periodSeconds: 10
          failureThreshold: 60
          httpGet:
            port: 80
            path: /
        livenessProbe:
          initialDelaySeconds: 300
          periodSeconds: 30
          httpGet:
            port: 80
            path: /
